Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  AutoCAD Mechanical
  Breite von Attributen bestimmen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Breite von Attributen bestimmen (1288 mal gelesen)
3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 11:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,

das Thema wurde hier schon angschnitten, doch für mich nicht ausreichend!

Bin gerade dabei Blöcke mit Attributen zu erstellen, dabei bekomm ich es einfach nicht gebacken die Attributenbreite zu bestimmen. Meinem Wissensstand nach, wird diese über z.B. {5} gesteuert. Doch leider hat das keine Wirkung...

Wer kann mir da weiter helfen!?!?

Gruß
Eddy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

ACAD 2011 Mechanical

erstellt am: 24. Sep. 2008 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 3Df 10 Unities + Antwort hilfreich

{5} .. wird nur vom Befehl amtitle ausgewertet, gilt also nur für Attribute im Schriftkopf.....diese Funktionalität läßt sich aber nachprogrammieren, wenn du das auch für andere Attribute  benötigst.

Das passt übrigens zum Thema

------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 11:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,

Danke erstmal... Wie sieht die Nachprogrammierung aus?

Gruß
Eddy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

ACAD 2011 Mechanical

erstellt am: 24. Sep. 2008 12:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 3Df 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von 3Df:
Wie sieht die Nachprogrammierung aus?

.. na wenn ich das mache, wird es ein Text mit ganz vielen Klammern .... der dann vom im ACAD eingebauten Lispinterpreter abgearbeitet wird ..

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 12:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Kannst du mir bitte ein Beispiel schicken?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

ACAD 2011 Mechanical

erstellt am: 24. Sep. 2008 12:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 3Df 10 Unities + Antwort hilfreich

Klar doch:

(defun C:Beispiel()
  (princ "\nHallo Welt!\n")
  (princ)
)

für dein Problem ist das natürlich anders und länger , aber im Prinzip siehts so aus

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

 

Sorry, aber da steig ich nicht durch
Ich glaub ich sollte es einfach lassen...!?!?!?!?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 13:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Kundenreferenz_CoalDust.zip

 
Hättes du die Zeit dir meine Beispiel anzuschauen! Sieh Anhang.

Gruß
Eddy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13244
Registriert: 30.11.2003

ACAD 2011 Mechanical

erstellt am: 24. Sep. 2008 14:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für 3Df 10 Unities + Antwort hilfreich

ja .. eine Referenz eines dynamischen Blockes mit Attributen..

a)mit _eattedit ..Reiter Textoptionen kannst du den Breitenfaktor ändern
b).. bei der Attributserstellung gibts auch die Möglichkeit bei Ausrichten "Eingepasst" vorzugeben

c)Mechanical geht bei amtitle so ähnlich vor:
1.Attributinhalt auswerten und Textlänge ermitteln
2.Attributsdefinition auslesen und gucken , ob eine Breite in {} mit drinsteht
4. wenn ja, gucken ob ermittelte Textlänge < vorgegebne max. Breite
a) -> ok, alles so lassen
b) -> nein .... Breitenfaktor als Quotient aus max. Breite und ermittelter Textlänge berechnen und diesen Breitenfaktor beim Attribut setzten

.. das könnte man so nachprogrammieren (allerdings [ich] nicht im Rahmen der Forenhilfe)

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

3Df
Mitglied
Konstrukteur


Sehen Sie sich das Profil von 3Df an!   Senden Sie eine Private Message an 3Df  Schreiben Sie einen Gästebucheintrag für 3Df

Beiträge: 186
Registriert: 21.03.2007

AutoCAD Mechanical 2009 SP02

erstellt am: 24. Sep. 2008 14:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Dank dir Thomas, Das Hilft mir schon um einiges weiter. Werde mich damit erst einmal beschäftigen...

Bis denn...

Gruß
Eddy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de